FROM node:latest
RUN ulimit -n 10000
# Create app directory
RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app
# Install app dependencies
COPY package.json /usr/src/app/
RUN npm install
# Bundle app source
COPY . /usr/src/app
# AFE File Location
EXPOSE 8080
CMD [ "npm", "start" ]